LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07014Bug reports[All Projects] Otherpublic2012-12-05 00:012012-12-07 09:58
Reporteruser23408 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07014: "R" entry in User control Page
DescriptionSuppose the super administrator creates a user X with these rights: "participant panel", "create survey", "create user", "delete user" (for sure, X doesn't have a super admin right). Then, if I login to X account and go to User Control page, I see that X is the only entry in the page. Suppose if I add a new user Y from X account and try to reload the User Control page, then the user Y entry appears, HOWEVER user X entry changes to Username = R, Email = R, Full name = R. On the left of this "R" entry, there is a pencil icon (for edit user), if I click that pencil, I will see a blank page. If I reload the blank page, it will say:

"Access denied! You are not allowed to perform this operation!"


Now, if I delete user Y. user X entry becomes normal again (Username, Email, Full name appear as they should be).

Do you have any idea what the "R" is? How to fix this?
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID121204
Browser
Database & DB-VersionMySQL ver 10.6
Operating System (Server)Mac OS X version 10.7.5
Webserver software & versionApache 2
PHP Version5.3.19
Attached Filesjpg file icon limesurvey.jpg [^] (68,880 bytes) 2012-12-05 00:01

- Relationships

-  Notes
User avatar (22917)
c_schmitz (administrator)
2012-12-05 15:43

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10732 [^]
User avatar (22970)
c_schmitz (administrator)
2012-12-06 10:45

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10759 [^]
User avatar (23004)
c_schmitz (administrator)
2012-12-07 09:58

2.00+ build 121207 released.

- Related Changesets
LimeSurvey: master a40d6b1f
Timestamp: 2012-12-05 14:42:53
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07014: "R" entry in User control Page
mod - application/helpers/common_helper.php Diff ] File ]
mod - application/views/admin/user/editusers.php Diff ] File ]
LimeSurvey: 2.1 cb194388
Timestamp: 2012-12-06 09:41:37
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07014: "R" entry in User control Page
mod - application/helpers/common_helper.php Diff ] File ]
mod - application/views/admin/user/editusers.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-05 00:01 user23408 New Issue
2012-12-05 00:01 user23408 File Added: limesurvey.jpg
2012-12-05 15:23 c_schmitz Assigned To => c_schmitz
2012-12-05 15:23 c_schmitz Status new => assigned
2012-12-05 15:43 c_schmitz Changeset attached => LimeSurvey master a40d6b1f
2012-12-05 15:43 c_schmitz Note Added: 22917
2012-12-05 15:43 c_schmitz Resolution open => fixed
2012-12-05 15:45 c_schmitz Status assigned => resolved
2012-12-05 15:45 c_schmitz Fixed in Version => 2.00+
2012-12-06 10:45 c_schmitz Changeset attached => LimeSurvey 2.1 cb194388
2012-12-06 10:45 c_schmitz Note Added: 22970
2012-12-07 09:58 c_schmitz Note Added: 23004
2012-12-07 09:58 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker